fix some typos

Signed-off-by: thirdkeyword <fliterdashen@gmail.com>
This commit is contained in:
thirdkeyword
2024-03-25 10:34:44 +08:00
parent b643f1b1fe
commit fbda591866
13 changed files with 19 additions and 19 deletions

View File

@@ -542,7 +542,7 @@ function dep_pass {
duplicates=$(echo "${all_dependencies}" | cut -d ',' -f 1,2 | sort | uniq | cut -d ',' -f 1 | sort | uniq -d) || return 2
for dup in ${duplicates}; do
log_error "FAIL: inconsistent versions for depencency: ${dup}"
log_error "FAIL: inconsistent versions for dependency: ${dup}"
echo "${all_dependencies}" | grep "${dup}" | sed "s|\\([^,]*\\),\\([^,]*\\),\\([^,]*\\)| - \\1@\\2 from: \\3|g"
done
if [[ -n "${duplicates}" ]]; then

View File

@@ -81,7 +81,7 @@ if [ "${GET}" != "${VALUE}" ]; then
exit 1
fi
echo "Succesfully tested etcd local image ${TAG}"
echo "Successfully tested etcd local image ${TAG}"
for TARGET_ARCH in "amd64" "arm64" "ppc64le" "s390x"; do
ARCH_TAG=v"${VERSION}"-"${TARGET_ARCH}"

View File

@@ -413,15 +413,15 @@ function run_go_tool {
GOARCH="" run "${cmdbin}" "$@" || return 2
}
# assert_no_git_modifications fails if there are any uncommited changes.
# assert_no_git_modifications fails if there are any uncommitted changes.
function assert_no_git_modifications {
log_callout "Making sure everything is committed."
if ! git diff --cached --exit-code; then
log_error "Found staged by uncommited changes. Do commit/stash your changes first."
log_error "Found staged by uncommitted changes. Do commit/stash your changes first."
return 2
fi
if ! git diff --exit-code; then
log_error "Found unstaged and uncommited changes. Do commit/stash your changes first."
log_error "Found unstaged and uncommitted changes. Do commit/stash your changes first."
return 2
fi
}